#!/bin/sh

export DIRN=`busybox dirname "$0"`
BEGIN="Для смены необходим BMP файл  240x320 пикселей и 24-bit. Продолжить?"
GOOD="Успешно применен!"
BADDOC="Ошибка: Некорректный файл, проверьте размер"
BADBMP="Ошибка: некорректный BMP файл. Проверьте цвет и размер."
ERROR="Ошибка: Неудалось конвертировать файл.."
NONO="Ошибка: Некорректное качество."
SABE="Неизвестная ошибка."

showMsg "BootLogo" "$BEGIN" 1

LOGOFILE=`showFM "BootLogo" "" "/mmc/mmca1" 1`
if [ -z "$LOGOFILE" ] ; then
	echo "no logo file"
	exit
else
	showRadio "BootLogo" "Выберите действие для файла 
	$LOGOFILE" "Просмотреть" "Применить"
	RABUT=$?

if [ $RABUT -eq 0 ] ;then	
	exit
elif [ $RABUT -eq 1 ] ;then
	imageviewer -d $LOGOFILE
	showMsg "BootLogo" "Применить файл $LOGOFILE ?" 1
	ROBUT=$?
if [ $ROBUT -eq 0 ] ;then	
	$0
	exit
fi
fi
fi

showNotify "Идет замена" "Подождите..." 0
$DIRN/chlogo "$LOGOFILE"
RET=$?
case "$RET" in
	    0)
	         showNotify "BootLogo" "$GOOD" 0 3;
	         ;;
	    2)
			/usr/SYSqtapp/phone/vibrateprocess -playage 3
	         showNotify "BootLogo" "$BADDOC" 1 3;
	         ;;
	    3)
			/usr/SYSqtapp/phone/vibrateprocess -playage 3
	         showNotify "BootLogo" "$BADBMP" 1 3;
	         ;;
	    4)
			/usr/SYSqtapp/phone/vibrateprocess -playage 3
	         showNotify "BootLogo" "$ERROR" 1 3;
	         ;;
	    5)
			/usr/SYSqtapp/phone/vibrateprocess -playage 3
	         showNotify "BootLogo" "$NONO" 1 3;
	         ;;
	    *)
			/usr/SYSqtapp/phone/vibrateprocess -playage 3
	         showNotify "BootLogo" "$SABE" 1 3;
	         ;;
	    esac
		